hi all.
I have a series of dxfs wich i insert in a dwg as blocks.
I want to know if there is a easy way to insert the block name in the middle of each block bounding box.
Thanks in advance .
@AsramiOsram wrote:
....
I want to know if there is a easy way to insert the block name in the middle of each block bounding box. ....
There's a routine called LabelBlockUnder.lsp here that does it under Blocks. [There are also other suggestions on that thread.] Search it for all instances of "Your" as part of a term, and give it appropriate content. I think it should do what you're asking if you replace its Text-command function with this:
(command
"_.text"
"_mc"
(mapcar '/ (mapcar '+ (vlax-safearray->list minpt) (vlax-safearray->list maxpt)) '(2 2 2))
;; [above line calculates middle of bounding box]
"" ; omit this line if YourTextStyle has fixed height
0
(vlax-get blockobj 'Name)
); command
Can't find what you're looking for? Ask the community or share your knowledge.